> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Segments

> Delete a specific segments job



## OpenAPI

````yaml DELETE /segments/{job_id}
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.9
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /segments/{job_id}:
    delete:
      tags:
        - Segments
      summary: Delete a segments job
      description: Delete a specific segments job
      operationId: deleteSegments
      parameters:
        - name: job_id
          in: path
          required: true
          description: The ID of the segments job to delete
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Segments job deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: ID of the deleted segments job
                required:
                  - id
        '404':
          description: Segments job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````